Trouble installing rt2

Hi everyone!
Tried to install the new release and got trouble with it.
Some of the perl modules told errors when running ‘make test’ but a
’make installes’ stop complaining testdeps.
I think thats the clue but how to correct it.
When running ‘make install’ I get something like this:

Can’t locate IO/Wrap.pm in @INC

And then compilation stops with error 2.

As I said. I tried to install the necessary modules but not sure
wether it wotked or not.
This is on a SuSE Linux 7.1 machine.

Christian

And yes, Jesse, it is the greatest troublesystem available!
Would love to see it in PHP but…! No, it really is great as it is!
.:: eq media GmbH ::.
New Media - Networks - Hosting

Schlachthofstrasse 11
D - 42897 Remscheid

So install the required perl module.
A number of the larger “required” modules (HTML::Mason as an example),
listed in the install notes, may have dependancies of their own that
need to be fullfilled during their install process.

IE:
RT requires PackageA.
PackageA requires PAckageB and PackageC. For it to be installed.-----Original Message-----
From: rt-users-admin@lists.fsck.com
[mailto:rt-users-admin@lists.fsck.com] On Behalf Of Christian Lox
Sent: Wednesday, June 27, 2001 5:26 PM
To: rt-users@fsck.com
Subject: [rt-users] trouble installing rt2

Hi everyone!
Tried to install the new release and got trouble with it.
Some of the perl modules told errors when running ‘make test’ but a
’make installes’ stop complaining testdeps. I think thats the clue but
how to correct it. When running ‘make install’ I get something like
this:

Can’t locate IO/Wrap.pm in @INC

And then compilation stops with error 2.

As I said. I tried to install the necessary modules but not sure wether
it wotked or not. This is on a SuSE Linux 7.1 machine.

Christian

And yes, Jesse, it is the greatest troublesystem available! Would love
to see it in PHP but…! No, it really is great as it is!
.:: eq media GmbH ::.
New Media - Networks - Hosting

Schlachthofstrasse 11
D - 42897 Remscheid

rt-users mailing list
rt-users@lists.fsck.com http://lists.fsck.com/mailman/listinfo/rt-users

Some of the perl modules told errors when running ‘make test’ but a
’make installes’ stop complaining testdeps. I think thats the clue but
how to correct it. When running ‘make install’ I get something like
this:

Can’t locate IO/Wrap.pm in @INC

And then compilation stops with error 2.

As I said. I tried to install the necessary modules but not
sure wether
it wotked or not. This is on a SuSE Linux 7.1 machine.

So install the required perl module.

Yes, but he’s asking how.

The simplest is to run the make fixdeps script in the rt distribution
directory(I didn’t bother installing ANY modules by hand, much less running
make testdeps, because I knew I was missing a bunch of modules), or run cpan
manually if you just want to get this one package installed. CPAN is a good
tool to get used to, it’s like RPM, only it actually works :slight_smile: CPAN is not
quite a magic bullet, but it’s close. So I’d say try and use it at least
once. You’ll like it :slight_smile:

run:
perl -MCPAN -eshell
the first time, it’ll ask you all sorts of stuff about caching(if you’ve got
tons of HD space, and a slow connection, give this a big number, like 100mb
or so; you can always remove the .cpan directory in your home dir later)

then when it’s all done, type "install Something::Something"
if cpan can’t find a match for what you typed, it’ll suggest you type
something like:
i keyword or module name
(i = search)

The advantage to using CPAN or “make fixdeps”(which uses CPAN) is that it
will resolve all dependencies for you; don’t worry about the IO:Wrap.pm
business, give CPAN the module that requires IO:Wrap.pm, and it’ll run out
and build IO:Wrap.pm(along with any other missing modules you need) and then
module you’re trying to get going, in one swoop.

Run the make fixdeps script even if you used CPAN manually; after one go,
run it again, and note anything that tries to build…that means it failed
the first time around. The problem is that for one reason or another, some
perl modules will NOT install using CPAN because make test fails on some
goofy test that requires your system be upside down, underwater, on the
moon, while playing a Britney Spears mp3 that’s being loaded from a
PostgreSQL database, and usually this is revealed to the user with a line
that mentions nothing except the test number and the fact that it failed(or
perhaps, if you’re lucky, a test description line like bs_mpg_db_ld = 0.)
Obviously, rather than listen to a Britney Spears song(determining what the
test was that failed involved is by far less painful), the preferable action
is to:

cd ~.cpan\builds\themodulethatdidntinstall; make install; cd -
(of course, I think there’s an option to CPAN that forces it to ignore
tests, but I don’t know what that is and the above line works just as well
and allows you to be more selective)

Problem solved, unless you really will need to play a Britney Spears mp3
from a PostgreSQL database on the moon upside down etc…in which case, you
need help slightly beyond the scope of this list(may I suggest
alt.support.insanity? All BS fans should visit there, or perhaps
alt.support.ive.been.brainwashed)

BTW, note that CPAN may suddenly decide for you that it’s time for you to
upgrade to perl 5.6.1, so watch out(especially if you’re on a slow
connection) as it’s going to run right out and start downloading it if it
feels it’s necessary. I completely mucked up my perl by not paying
attention and giving it /usr/bin/ for an install root, so I ended up with
/usr/bin/lib/perl5. Whoops. Time to read more carefully. Once I had fixed
that whole mess(I need more sleep), I discovered to my neverending joy that
it managed to break Mandrake’s httpd-perl, so I had to run out and rebuild
apache, first removing the thousand different little addon RPMs that were
tied into the apache binary etc. The only thing more annoying than trying
to install an rpm and finding stupid dependencies is trying to UNinstall an
rpm and finding that 3 dozen useless, annoying KDE and GNOME programs depend
upon it for no particular reason.

After compiling apache, I pretty much had figured out that I simply forgot
to build perl with the “make a shared library” option enabled and that’s why
apache w/mod_perl failed. Arrrrrrrrrrrrrg.

Brett